#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=sheldon6.40_base.ps
projection=-JM16.0c+
region=-R-120.5/-119.4/41.7/42.2
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map sheldon6.40' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    42.103  -120.281
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    42.082  -120.250
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    42.114  -120.286
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    42.106  -120.327
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    42.087  -120.255
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    42.094  -120.275
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    42.127  -120.260
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    42.080  -120.297
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    42.096  -120.354
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    42.069  -120.307
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    42.114  -120.257
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    42.109  -120.248
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    42.115  -120.266
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    42.087  -120.263
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    42.111  -120.260
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    42.111  -120.264
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    42.107  -120.268
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    42.114  -120.266
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    42.119  -120.265
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    42.065  -119.941
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    42.070  -119.951
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    41.824  -119.651
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    41.841  -119.613
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    41.824  -119.617
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    41.801  -119.684
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    41.841  -119.651
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    41.822  -119.618
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    41.819  -119.655
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    41.834  -119.634
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    41.858  -119.682
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    41.862  -119.662
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    41.874  -119.661
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    41.828  -119.646
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    41.828  -119.667
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    41.851  -119.621
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    41.821  -119.667
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    41.836  -119.646
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    41.841  -119.648
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    41.836  -119.664
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    41.850  -119.658
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    41.838  -119.606
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    41.841  -119.604
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    41.818  -119.639
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    41.846  -119.600
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    41.858  -119.602
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    41.823  -119.598
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    41.841  -119.580
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    41.846  -119.670
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    41.845  -119.676
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    41.849  -119.652
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    41.881  -119.486
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    41.844  -119.563
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    41.870  -119.616
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    41.830  -119.654
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    41.851  -119.574
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    41.824  -119.569
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    41.849  -119.567
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    41.831  -119.563
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    41.851  -119.622
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    41.837  -119.506
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    41.817  -119.595
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    41.856  -119.580
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    41.844  -119.578
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.103  -120.279
    42.103  -120.281
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.102  -120.267
    42.103  -120.281
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.083  -120.251
    42.082  -120.250
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.101  -120.282
    42.082  -120.250
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.115  -120.288
    42.114  -120.286
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.209  -120.273
    42.114  -120.286
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.106  -120.327
    42.106  -120.327
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.085  -120.284
    42.106  -120.327
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.088  -120.252
    42.087  -120.255
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.058  -120.256
    42.087  -120.255
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.095  -120.275
    42.094  -120.275
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.092  -120.260
    42.094  -120.275
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.127  -120.259
    42.127  -120.260
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.142  -120.221
    42.127  -120.260
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.080  -120.298
    42.080  -120.297
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.056  -120.274
    42.080  -120.297
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.096  -120.348
    42.096  -120.354
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.064  -120.291
    42.096  -120.354
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.069  -120.307
    42.069  -120.307
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.062  -120.279
    42.069  -120.307
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.115  -120.259
    42.114  -120.257
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.077  -120.282
    42.114  -120.257
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.110  -120.248
    42.109  -120.248
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.138  -120.276
    42.109  -120.248
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.114  -120.266
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.098  -120.234
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.086  -120.263
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.089  -120.248
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.110  -120.261
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.107  -120.239
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.111  -120.264
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.117  -120.244
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.107  -120.269
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.105  -120.241
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.113  -120.266
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.113  -120.241
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.118  -120.265
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.110  -120.239
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.064  -119.942
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.065  -119.925
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    42.070  -119.951
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.834  -119.821
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.820  -119.646
    41.824  -119.651
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.878  -119.638
    41.824  -119.651
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.839  -119.611
    41.841  -119.613
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.933  -119.647
    41.841  -119.613
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.822  -119.615
    41.824  -119.617
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.868  -119.637
    41.824  -119.617
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.802  -119.680
    41.801  -119.684
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.882  -119.642
    41.801  -119.684
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.840  -119.649
    41.841  -119.651
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.872  -119.633
    41.841  -119.651
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.820  -119.617
    41.822  -119.618
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.882  -119.614
    41.822  -119.618
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.816  -119.657
    41.819  -119.655
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.879  -119.646
    41.819  -119.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.833  -119.629
    41.834  -119.634
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.880  -119.618
    41.834  -119.634
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.857  -119.680
    41.858  -119.682
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.854  -119.646
    41.858  -119.682
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.861  -119.663
    41.862  -119.662
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.837  -119.716
    41.862  -119.662
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.873  -119.660
    41.874  -119.661
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.914  -119.718
    41.874  -119.661
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.829  -119.644
    41.828  -119.646
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.822  -119.643
    41.828  -119.646
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.823  -119.660
    41.828  -119.667
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.930  -119.854
    41.828  -119.667
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.849  -119.620
    41.851  -119.621
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.902  -119.617
    41.851  -119.621
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.820  -119.663
    41.821  -119.667
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.888  -119.719
    41.821  -119.667
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.836  -119.649
    41.836  -119.646
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.887  -119.648
    41.836  -119.646
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.836  -119.647
    41.841  -119.648
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.893  -119.637
    41.841  -119.648
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.833  -119.661
    41.836  -119.664
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.900  -119.645
    41.836  -119.664
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.848  -119.658
    41.850  -119.658
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.918  -119.674
    41.850  -119.658
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.835  -119.606
    41.838  -119.606
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.874  -119.628
    41.838  -119.606
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.837  -119.600
    41.841  -119.604
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.862  -119.629
    41.841  -119.604
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.813  -119.652
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.848  -119.669
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.843  -119.598
    41.846  -119.600
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.850  -119.602
    41.846  -119.600
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.856  -119.600
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.885  -119.611
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.821  -119.596
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.837  -119.614
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.840  -119.578
    41.841  -119.580
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.837  -119.610
    41.841  -119.580
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.844  -119.669
    41.846  -119.670
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.871  -119.702
    41.846  -119.670
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.845  -119.674
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.937  -119.682
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.848  -119.650
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.883  -119.648
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.880  -119.484
    41.881  -119.486
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.936  -119.552
    41.881  -119.486
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.839  -119.561
    41.844  -119.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.877  -119.617
    41.844  -119.563
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.868  -119.614
    41.870  -119.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.907  -119.645
    41.870  -119.616
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.829  -119.653
    41.830  -119.654
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.815  -119.630
    41.830  -119.654
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.854  -119.574
    41.851  -119.574
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.857  -119.588
    41.851  -119.574
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.829  -119.566
    41.824  -119.569
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.867  -119.580
    41.824  -119.569
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.851  -119.570
    41.849  -119.567
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.893  -119.585
    41.849  -119.567
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.832  -119.559
    41.831  -119.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.890  -119.583
    41.831  -119.563
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.847  -119.624
    41.851  -119.622
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.887  -119.617
    41.851  -119.622
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.836  -119.504
    41.837  -119.506
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.887  -119.601
    41.837  -119.506
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.815  -119.594
    41.817  -119.595
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.927  -119.645
    41.817  -119.595
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.854  -119.577
    41.856  -119.580
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    41.919  -119.639
    41.856  -119.580
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    41.845  -119.572
    41.844  -119.578
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    42.035  -119.573
    41.844  -119.578
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    42.103  -120.281   -14.849     1.832     3.085
    42.082  -120.250    -0.916     2.111     2.641
    42.114  -120.286   -68.498     2.457     2.945
    42.106  -120.327   -27.417     2.678     3.673
    42.087  -120.255    -9.625     2.026     3.400
    42.094  -120.275   -40.610     2.726     4.390
    42.127  -120.260    72.371     1.619     2.105
    42.080  -120.297   -40.360     1.121     1.894
    42.096  -120.354   -17.271     2.003     4.056
    42.069  -120.307   -44.462     2.185     3.224
    42.114  -120.257    -4.730     2.003     3.648
    42.109  -120.248   -23.935     2.324     3.835
    42.115  -120.266    20.834     0.571     0.740
    42.087  -120.263    17.892     0.746     0.954
    42.111  -120.260    20.465     0.604     0.761
    42.111  -120.264    16.459     0.600     0.779
    42.107  -120.268    18.386     0.702     0.902
    42.114  -120.266    15.580     0.632     0.797
    42.119  -120.265    23.300     0.638     0.845
    42.065  -119.941    20.622     0.751     0.937
    42.070  -119.951    29.144     0.900     0.994
    41.824  -119.651    52.937     1.452     2.819
    41.841  -119.613    57.766     1.322     2.427
    41.824  -119.617    58.219     1.199     1.956
    41.801  -119.684    58.931     1.954     3.475
    41.841  -119.651   -25.266     0.605     1.819
    41.822  -119.618    -9.121     1.614     2.070
    41.819  -119.655   -45.409     4.014     4.655
    41.834  -119.634    40.684     2.268     3.461
    41.858  -119.682   -74.212     1.138     2.039
    41.862  -119.662   -71.557     1.217     2.220
    41.874  -119.661    48.261     2.689     5.527
    41.828  -119.646   -59.295     0.907     1.249
    41.828  -119.667    53.886     2.498     4.227
    41.851  -119.621   -13.345     3.854     4.881
    41.821  -119.667   -55.955     1.074     1.596
    41.836  -119.646    82.342     2.921     3.245
    41.841  -119.648    -9.772     2.690     3.249
    41.836  -119.664   -28.131     2.780     3.196
    41.850  -119.658   -53.914     0.875     1.226
    41.838  -119.606    56.566     1.566     2.359
    41.841  -119.604    10.671     2.689     3.380
    41.818  -119.639   -51.710     1.923     2.501
    41.846  -119.600    64.810     1.474     2.649
    41.858  -119.602    60.056     1.036     2.218
    41.823  -119.598    53.586     1.061     2.008
    41.841  -119.580    78.380     1.176     1.671
    41.846  -119.670    37.475     2.057     3.661
    41.845  -119.676   -57.864     0.980     1.038
    41.849  -119.652   -11.487     1.100     1.675
    41.881  -119.486    39.339     2.024     2.304
    41.844  -119.563   -59.119     1.193     1.574
    41.870  -119.616    61.336     1.437     1.775
    41.830  -119.654   -77.005     1.170     1.719
    41.851  -119.574   -71.178     1.356     1.653
    41.824  -119.569    78.449     1.279     2.148
    41.849  -119.567    83.078     1.104     1.697
    41.831  -119.563    89.059     1.548     1.897
    41.851  -119.622    61.918     1.354     1.623
    41.837  -119.506   -79.389     1.577     2.398
    41.817  -119.595    66.641     2.011     3.836
    41.856  -119.580    -6.136     1.710     2.325
    41.844  -119.578   -48.512     2.371     3.322
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    41.755  -120.382    15.871     1.314     2.026
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    41.755  -120.359   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    41.755  -120.382     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    41.755  -120.382     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    41.710  -120.382   5 km
END
