#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=sheldon6.40_dcal.ps
projection=-JM16.0c+
region=-R-122.9/-117.0/39.9/44.0
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration sheldon6.40' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.103  -120.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.103  -120.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.082  -120.250
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.114  -120.286
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.106  -120.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.106  -120.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.087  -120.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.087  -120.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.094  -120.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.094  -120.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.127  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.080  -120.297
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.080  -120.297
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.096  -120.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.096  -120.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.069  -120.307
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.114  -120.257
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.109  -120.248
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.115  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.359  -121.146
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.359  -121.146
    42.087  -120.263
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.111  -120.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.111  -120.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.359  -121.146
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.359  -121.146
    42.107  -120.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.114  -120.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.119  -120.265
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.388  -119.171
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.388  -119.171
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.065  -119.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.019  -119.340
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.388  -119.171
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.388  -119.171
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.047  -120.834
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.205  -120.477
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.691  -119.247
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.799  -120.251
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.726  -120.893
    42.070  -119.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.824  -119.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.824  -119.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.824  -119.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.841  -119.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.841  -119.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.824  -119.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.824  -119.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.824  -119.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.824  -119.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.801  -119.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.801  -119.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.841  -119.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.822  -119.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.822  -119.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.819  -119.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.819  -119.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.834  -119.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.834  -119.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.858  -119.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.858  -119.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.862  -119.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.862  -119.662
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.874  -119.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.828  -119.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.828  -119.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.828  -119.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.828  -119.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.851  -119.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.851  -119.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.821  -119.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.821  -119.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.836  -119.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.836  -119.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.648
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.648
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.836  -119.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.836  -119.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.850  -119.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.850  -119.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.838  -119.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.838  -119.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.838  -119.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.838  -119.606
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.818  -119.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.846  -119.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.846  -119.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.846  -119.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.846  -119.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.858  -119.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.823  -119.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.841  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.841  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.841  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.841  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.846  -119.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.846  -119.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.846  -119.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.846  -119.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.845  -119.676
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.849  -119.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.881  -119.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.881  -119.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.881  -119.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.881  -119.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.844  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.844  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.844  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.844  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.870  -119.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.870  -119.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.870  -119.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.870  -119.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.830  -119.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.830  -119.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.830  -119.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.830  -119.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.851  -119.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.851  -119.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.224  -120.360
    41.851  -119.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.851  -119.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.824  -119.569
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.824  -119.569
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.824  -119.569
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.824  -119.569
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.849  -119.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.849  -119.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.849  -119.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.849  -119.567
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.831  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.831  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.831  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.831  -119.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.851  -119.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.851  -119.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.851  -119.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.837  -119.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.837  -119.506
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.817  -119.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.817  -119.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.817  -119.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.856  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.856  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    42.434  -118.637
    41.856  -119.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.844  -119.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    41.902  -120.303
    41.844  -119.578
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    41.902  -120.303     0.300
    42.047  -120.834     0.300
    42.019  -119.340     0.300
    42.799  -120.251     0.300
    42.726  -120.893     0.300
    41.205  -120.477     0.300
    42.691  -119.247     0.300
    41.359  -121.146     0.300
    41.388  -119.171     0.300
    42.434  -118.637     0.300
    42.224  -120.360     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.103  -120.281     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.082  -120.250     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.114  -120.286     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.106  -120.327     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.087  -120.255     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.094  -120.275     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.127  -120.260     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.080  -120.297     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.096  -120.354     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.069  -120.307     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.114  -120.257     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.109  -120.248     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.115  -120.266     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.087  -120.263     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.111  -120.260     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.111  -120.264     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.107  -120.268     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.114  -120.266     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.119  -120.265     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.065  -119.941     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    42.070  -119.951     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.824  -119.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.841  -119.613     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.824  -119.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.801  -119.684     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.841  -119.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.822  -119.618     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.819  -119.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.834  -119.634     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.858  -119.682     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.862  -119.662     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.874  -119.661     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.828  -119.646     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.828  -119.667     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.851  -119.621     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.821  -119.667     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.836  -119.646     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.841  -119.648     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.836  -119.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.850  -119.658     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.838  -119.606     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.841  -119.604     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.818  -119.639     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.846  -119.600     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.858  -119.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.823  -119.598     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.841  -119.580     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.846  -119.670     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.845  -119.676     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.849  -119.652     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.881  -119.486     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.844  -119.563     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.870  -119.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.830  -119.654     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.851  -119.574     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.824  -119.569     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.849  -119.567     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.831  -119.563     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.851  -119.622     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.837  -119.506     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.817  -119.595     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.856  -119.580     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    41.844  -119.578     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    41.926  -119.828     0.000   222.000   222.000
    41.926  -119.828     0.000   444.000   444.000
END
